<#--  <#if view.isBlankMode()>
<div class="index_view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-keep-alive :routerList="getRouterList">
        <router-view :key="getRouterViewKey"></router-view>
    </app-keep-alive>
</div>
<#else>  -->
<#if view.getMainMenuAlign()=="LEFT" || view.getMainMenuAlign()=="">
<app-index-view-layout-left :navModel="navModel" :collapseChange="collapseChange" :class="{ [themeClasses]: true, '${srffilepath2(view.getCodeName())}': true<#if view.getPSSysCss?? && view.getPSSysCss()??>, '${view.getPSSysCss().getCssName()}': true</#if> }" :style="themeStyle">
    <template #siderTop>
        <div class="page-logo">
        <#if view.getAppIconPath() != "">
            <img v-show="collapseChange" v-if="isEnableAppSwitch" src="${view.getAppIconPath()}" height="16" @click="contextMenuDragVisiable=!contextMenuDragVisiable" />
            <#else>
            <span class="menuicon" v-if="isEnableAppSwitch" @click="contextMenuDragVisiable=!contextMenuDragVisiable"><Icon type="md-menu" /></span>
        </#if>
            <span v-show="!collapseChange" style="overflow-x: hidden;text-overflow: ellipsis;white-space: nowrap;display: block;text-align: center;font-weight: 300;font-size: 20px;">{{$t(model.srfCaption)}}</span>
        </div>
    </template>
    <template #siderContent>
        ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
        <context-menu-drag v-if="isEnableAppSwitch" :contextMenuDragVisiable="contextMenuDragVisiable"></context-menu-drag>
    </template>
    <template #headerLeft>
        <div class="page-logo">
            <i v-show="!collapseChange" class="ivu-icon el-icon-s-fold" @click="handleClick"></i>
            <i v-show="collapseChange" class="ivu-icon el-icon-s-unfold" @click="handleClick"></i>
            <app-breadcrumb  :navModel="navModel" indexViewTag="${srffilepath2(view.getCodeName())}"></app-breadcrumb>
        </div>
    </template>
    <template #headerRight>
        <app-lang style='font-size: 15px;padding: 0 10px;'></app-lang>
        <app-orgsector></app-orgsector>
        <app-user></app-user>
        <app-message-popover></app-message-popover>
        <app-lock-scren />
        <app-full-scren />
        <app-theme style="width:45px;display: flex;justify-content: center;"></app-theme>
    </template>
    <template #tabPageExp>
        <tab-page-exp v-if="Object.is(navModel,'tab')"></tab-page-exp>
    </template>
    <template #navPos>
        <app-keep-alive :routerList="getRouterList">
            <router-view :key="getRouterViewKey"></router-view>
        </app-keep-alive>
    </template>
</app-index-view-layout-left>
<#else>
<div class="index_view <#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <layout :class="themeClasses" :style="themeStyle">
        <header class="index_header" >
            <div class="header-left">
                <div class="page-logo">
                    <img src="../../../assets/img/logo.png" height="32" />
                    <span style="display: inline-block;margin-left: 10px;font-size: 22px;">{{$t(model.srfCaption)}}</span>
                </div>
                <div <#if view.getMainMenuAlign()?? && view.getMainMenuAlign()!="TOP">style="margin-left: 50px;"</#if>>
                ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
                </div>
            </div>
            <div class="header-right" style="display: flex;align-items: center;justify-content: space-between;">
                <app-lang style='font-size: 15px;padding: 0 10px;'></app-lang>
                <app-orgsector></app-orgsector>
                <app-user></app-user>
                <app-message-popover></app-message-popover>
                <app-lock-scren />
                <app-full-scren />
                <app-theme style="width:45px;display: flex;justify-content: center;"></app-theme>
            </div>
        </header>
        <content <#if view.getMainMenuAlign()?? && view.getMainMenuAlign()=="TOP">class="app-horizontal-layout"</#if> style="height:calc(100vh - 50px);"  @click="contextMenuDragVisiable=false">  
            <router-view></router-view>
        </content>
    </layout>
</div>
</#if>
<#--  </#if>  -->
